Page MenuHomeFreeBSD

Bring Porters Handbook up to date and fix small errors. CH 4
ClosedPublic

Authored by ak on Oct 27 2014, 12:33 PM.

Details

Reviewers
mat
Group Reviewers
portmgr
Summary
  • Replace 'gzipped' with compressed
  • Simplify paragraph about handling of $FreeBSD$
  • Update USE_AUTOTOOLS usage. USES=autoreconf is still not ready

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 12026

Event Timeline

ak updated this revision to Diff 2120.Oct 27 2014, 12:33 PM
ak retitled this revision from to Bring Porters Handbook up to date and fix small errors. CH 4.
ak updated this object.
ak edited the test plan for this revision. (Show Details)
ak added reviewers: portmgr, doceng.
ak set the repository for this revision to rD FreeBSD doc repository.
gjb added a subscriber: gjb.Oct 28 2014, 3:52 AM

Is there a reason doceng@ is added, instead of a more wider audience?

I see no reason for doceng@ to be involved in review of such a trivial change.

gjb removed a subscriber: gjb.Oct 28 2014, 3:53 AM
ak removed a reviewer: doceng.Oct 28 2014, 8:29 AM
ak set the repository for this revision to rD FreeBSD doc repository.
wblock added a subscriber: wblock.Oct 28 2014, 10:19 PM
wblock added inline comments.
en_US.ISO8859-1/books/porters-handbook/slow-porting/chapter.xml
379 ↗(On Diff #2120)

The first sentence and the rest of this paragraph do not work. There needs to be something about how Subversion will modify $FreeBSD$ strings unless the fbsd: nokeywords property is set.

ak updated this revision to Diff 33885.Oct 11 2017, 1:28 PM
  • Replace 'gzipped' with compressed
  • Use USES=autoreconf instead of deprecated USE_AUTOTOOLS
mat added inline comments.Oct 13 2017, 11:50 AM
head/en_US.ISO8859-1/books/porters-handbook/slow-porting/chapter.xml
397

Unless this is the only occurrence of USE_AUTOTOOLS still in existence, leave it be (or better, update all the PHB to remove it.)

ak updated this revision to Diff 33947.Oct 13 2017, 12:48 PM
  • Replace 'gzipped' with compressed when appropriate
ak marked an inline comment as done.Oct 13 2017, 12:49 PM
ak added inline comments.
head/en_US.ISO8859-1/books/porters-handbook/slow-porting/chapter.xml
397

No there is still section in chapter 6, I left it for the end, because it's quite a mess. I'll remove this change from this patch.

mat accepted this revision.Oct 13 2017, 1:50 PM
This revision is now accepted and ready to land.Oct 13 2017, 1:50 PM
ak closed this revision.Oct 14 2017, 7:35 AM
ak marked an inline comment as done.